#include "DBDMenuPlayer.h"
#include "EItemHandPosition.h"
#include "EMenuCharacterPoseType.h"
#include "DBDSkeletalMeshComponentBudgeted.h"
#include "MaterialHelper.h"
#include "CustomizedSkeletalMesh.h"

class AActor;
class UCharmSpawnerComponent;

void ADBDMenuPlayer::WrappedOnDestroyed(AActor* DestroyedActor)
{

}

bool ADBDMenuPlayer::ShouldShowSpawnAnimation() const
{
	return false;
}

bool ADBDMenuPlayer::ShouldApplyPositionOffset() const
{
	return false;
}

bool ADBDMenuPlayer::HasSameCharacterInLobby()
{
	return false;
}

UMaterialHelper* ADBDMenuPlayer::GetMaterialHelper_Implementation() const
{
	return NULL;
}

bool ADBDMenuPlayer::GetIsReady() const
{
	return false;
}

bool ADBDMenuPlayer::GetIsLocalPlayerCharacter() const
{
	return false;
}

EItemHandPosition ADBDMenuPlayer::GetHandPosition() const
{
	return EItemHandPosition::None;
}

EMenuCharacterPoseType ADBDMenuPlayer::GetCurrentMenuCharacterPoseType() const
{
	return EMenuCharacterPoseType::None;
}

UCharmSpawnerComponent* ADBDMenuPlayer::GetCharmSpawnerComponent_Implementation()
{
	return NULL;
}

float ADBDMenuPlayer::GetBlockRotationAfterSpawningTime() const
{
	return 0.0f;
}

void ADBDMenuPlayer::BlockCharacterRotation(bool shouldBlock)
{

}

void ADBDMenuPlayer::BeginDestroySequence_Internal_Implementation()
{

}

ADBDMenuPlayer::ADBDMenuPlayer()
{
	this->RoleSelected = false;
	this->IsOnline = false;
	this->_handPosition = EItemHandPosition::None;
	this->ItemMesh = CreateDefaultSubobject<UDBDSkeletalMeshComponentBudgeted>(TEXT("ItemMesh"));
	this->MaterialHelper = CreateDefaultSubobject<UMaterialHelper>(TEXT("MaterialHelper"));
	this->_customizedSkeletalMeshComponent = CreateDefaultSubobject<UCustomizedSkeletalMesh>(TEXT("CustomizedSkeletalMeshComponent"));
	this->_equippedItemName = NAME_None;
	this->_blockRotationDuringSpawnAnimationDuration = 0.000000;
	this->_isLocalPlayerCharacter = false;
	this->_isReady = false;
}
